=== modified file 'mgmtsystem_action/__openerp__.py'
--- mgmtsystem_action/__openerp__.py	2013-01-31 14:21:30 +0000
+++ mgmtsystem_action/__openerp__.py	2013-03-01 10:41:55 +0000
@@ -1,6 +1,6 @@
 # -*- encoding: utf-8 -*-
 ##############################################################################
-#    
+#
 #    OpenERP, Open Source Management Solution
 #    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
 #
@@ -31,17 +31,16 @@
   * corrective actions
   * preventive actions
   * improvement opportunities.
-
-WARNING: when upgrading from v0.1, data conversion is required, since there are subtancial changes to the data structure.
-    """,
-    "depends" : ['mgmtsystem','audittrail','crm_claim'],
-    "init_xml" : [],
-    "update_xml" : [
+""",
+    "depends": ['mgmtsystem', 'crm_claim'],
+    "init": [
+        'action_sequence.xml',
+        'workflow_mgmtsystem_action.xml',
+    ],
+    "data": [
         'security/ir.model.access.csv',
         'mgmtsystem_action.xml',
-        'action_sequence.xml',
         'board_mgmtsystem_action.xml',
-        'workflow_mgmtsystem_action.xml',
     ],
     "demo_xml" : ['demo_action.xml',],
     "installable" : True,

=== modified file 'mgmtsystem_action/mgmtsystem_action.xml'
--- mgmtsystem_action/mgmtsystem_action.xml	2013-02-08 16:05:22 +0000
+++ mgmtsystem_action/mgmtsystem_action.xml	2013-03-01 10:41:55 +0000
@@ -1,125 +1,113 @@
-<openerp>
-    <data>
-
-        <record id="view_mgmtsystem_action_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.action.tree</field>
-            <field name="model">mgmtsystem.action</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Action">
-                    <field name="reference"/>
-                    <field name="name" string="Subject"/>
-                    <field name="type_action"/>
-                    <field name="user_id"/>
-                    <field name="date_deadline"/>
-                    <field name="state"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_action_filter" model="ir.ui.view">
-            <field name="name">mgmtsystem.action.filter</field>
-            <field name="model">mgmtsystem.action</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Action">
-                    <group>
-                        <filter name="current" icon="terp-document-new" domain="[('state','in',('draft','open','pending'))]" string="Open" help="Open Actions"/>
-                        <filter icon="terp-camera_test" domain="[('state','in',('cancelled','done'))]" string="Closed" help="Closed Actions"/>
-                        <separator orientation="vertical"/>
-                        <field name="reference"/>
-                        <field name="date" select='1'/>
-                        <field name="user_id"/>
-                        <field name="system_id"/>
-                    </group>
-                    <newline />
-                    <group expand="0" string="Group By...">
-                        <filter string="User" icon="terp-personal" domain="[]" context="{'group_by':'user_id'}"/>
-                        <separator orientation="vertical"/>
-                        <filter string="Type" icon="terp-personal" domain="[]" context="{'group_by':'type_action'}"/>
-                    </group>
-                </search>
-            </field>
-        </record>        
-
-        <record id="view_mgmtsystem_action_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.action.form</field>
-            <field name="model">mgmtsystem.action</field>
-            <field name="arch" type="xml">
-                <form string="Action" version="7.0">
-                    <header>
-                        <button name="case_cancel" string="Cancel" states="draft,pending" type="object" icon="gtk-cancel"/>
-                        <button name="case_open" string="Open" states="draft,pending" type="object" icon="gtk-go-forward"/>
-                        <button name="case_pending" string="Pending" states="open" type="object" icon="gtk-go-forward"/>
-                        <!-- Corrective actions can be already implemented when recording the NC, so they can be created and immediately closed -->
-                        <button name="case_close" string="Close" states="draft,open" type="object" icon="gtk-jump-to"/>
-                        <field name="state" widget="statusbar" statusbar_visible="draft,open,pending,done"/>
-                    </header>
-                    <group colspan="4" col="4">
-                        <field name="name" colspan="4"/>
-                        <field name="type_action" required="True"/>
-                        <field name="reference"/>
-                        <field name="user_id" string="Responsible" required="1"/>
-                        <field name="date" string="Date"/>
-                        <field name="date_deadline" string="Deadline"/>
-                        <field name="system_id"/>
-                    </group>
-                    <notebook colspan="4">
-                            <page string="Description">
-                                <field name="description" colspan="4" nolabel="1"/>
-                            </page>
-                            <page string="History">
-                                <group colspan="4">
-                                    <field colspan="4" name="email_cc" string="Global CC" widget="char"/>
-                                </group>
-                            <field name="message_ids" colspan="4" nolabel="1" mode="tree" readonly="1">
-                                <tree string="History">
-                                        <field name="subject" string="History Information"/>
-                                        <field name="email_from" invisible="1"/>
+<openerp>
+    <data>
+
+        <record id="view_mgmtsystem_action_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.action.tree</field>
+            <field name="model">mgmtsystem.action</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Action">
+                    <field name="reference"/>
+                    <field name="name" string="Subject"/>
+                    <field name="type_action"/>
+                    <field name="user_id"/>
+                    <field name="date_deadline"/>
+                    <field name="state"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_action_filter" model="ir.ui.view">
+            <field name="name">mgmtsystem.action.filter</field>
+            <field name="model">mgmtsystem.action</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Action">
+                    <group>
+                        <filter name="current" icon="terp-document-new" domain="[('state','in',('draft','open','pending'))]" string="Open" help="Open Actions"/>
+                        <filter icon="terp-camera_test" domain="[('state','in',('cancelled','done'))]" string="Closed" help="Closed Actions"/>
+                        <separator orientation="vertical"/>
+                        <field name="reference"/>
+                        <field name="date" select='1'/>
+                        <field name="user_id"/>
+                        <field name="system_id"/>
+                    </group>
+                    <newline/>
+                    <group expand="0" string="Group By...">
+                        <filter string="User" icon="terp-personal" domain="[]" context="{'group_by':'user_id'}"/>
+                        <separator orientation="vertical"/>
+                        <filter string="Type" icon="terp-personal" domain="[]" context="{'group_by':'type_action'}"/>
+                    </group>
+                </search>
+            </field>
+        </record>        
+
+        <record id="view_mgmtsystem_action_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.action.form</field>
+            <field name="model">mgmtsystem.action</field>
+            <field name="arch" type="xml">
+                <form string="Action" version="7.0">
+                    <header>
+                        <button name="case_cancel" string="Cancel" states="draft,pending" type="object" icon="gtk-cancel"/>
+                        <button name="case_open" string="Open" states="draft,pending" type="object" icon="gtk-go-forward"/>
+                        <button name="case_pending" string="Pending" states="open" type="object" icon="gtk-go-forward"/>
+                        <!-- Corrective actions can be already implemented when recording the NC, so they can be created and immediately closed -->
+                        <button name="case_close" string="Close" states="draft,open" type="object" icon="gtk-jump-to"/>
+                        <field name="state" widget="statusbar" statusbar_visible="draft,open,pending,done"/>
+                    </header>
+                    <group colspan="4" col="4">
+                        <field name="name" colspan="4"/>
+                        <field name="type_action" required="True"/>
+                        <field name="reference"/>
+                        <field name="user_id" string="Responsible" required="1"/>
+                        <field name="date" string="Date"/>
+                        <field name="date_deadline" string="Deadline"/>
+                        <field name="system_id"/>
+                    </group>
+                    <notebook colspan="4">
+                            <page string="Description">
+                                <field name="description" colspan="4" nolabel="1"/>
+                            </page>
+                            <page string="History">
+                                <group colspan="4">
+                                    <field colspan="4" name="email_cc" string="Global CC" widget="char"/>
+                                </group>
+                            <field name="message_ids" colspan="4" nolabel="1" mode="tree" readonly="1">
+                                <tree string="History">
+                                        <field name="subject" string="History Information"/>
+                                        <field name="email_from" invisible="1"/>
                                         <button
                                             string="Reply" attrs="{'invisible': [('email_from', '=', False)]}"
                                             name="%(mail.action_email_compose_message_wizard)d"
                                             context="{'mail.compose.message.mode':'reply', 'message_id':active_id}"
-                                            icon="terp-mail-replied" type="action" />
-                                </tree>
-                            </field>
+                                            icon="terp-mail-replied" type="action" />
+                                </tree>
+                            </field>
                             <button string="Send New Email"
                                 name="%(mail.action_email_compose_message_wizard)d"
-                                icon="terp-mail-message-new" type="action"/>
-                            </page>
-                    </notebook>
-                </form>
-            </field>
-        </record>
-
-        <record id="open_mgmtsystem_action_list" model="ir.actions.act_window">
-            <field name="name">Actions</field>
-            <field name="res_model">mgmtsystem.action</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" ref="view_mgmtsystem_action_tree"/>
-            <field name="search_view_id" ref="view_mgmtsystem_action_filter"/>
-            <field name="context">{"search_default_current":1,"search_default_user_id":uid}</field>
-        </record>
-
+                                icon="terp-mail-message-new" type="action"/>
+                            </page>
+                    </notebook>
+                </form>
+            </field>
+        </record>
+
+        <record id="open_mgmtsystem_action_list" model="ir.actions.act_window">
+            <field name="name">Actions</field>
+            <field name="res_model">mgmtsystem.action</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" ref="view_mgmtsystem_action_tree"/>
+            <field name="search_view_id" ref="view_mgmtsystem_action_filter"/>
+            <field name="context">{"search_default_current":1,"search_default_user_id":uid}</field>
+        </record>
+
         <menuitem id="menu_open_action" 
             action="open_mgmtsystem_action_list" 
             parent="mgmtsystem.menu_mgmtsystem_main" 
             sequence="30" 
-            groups="mgmtsystem.group_mgmtsystem_manager,mgmtsystem.group_mgmtsystem_auditor,base.group_user"/>
-
-        <!-- audittrail rule -->
-
-        <record id="mgmtsystem_action_audit_rule" model="audittrail.rule">
-            <field name="name">Audit on Management System Actions</field>
-            <field name="object_id" search="[('model','=','mgmtsystem.action')]"/>
-            <field name="log_create">1</field>
-            <field name="log_workflow">1</field>
-            <field name="log_unlink">1</field>
-            <field name="log_action">1</field>
-            <field name="log_workflow">1</field>
-            <field name="state">subscribed</field>
-        </record>
-
-    </data>
-</openerp>
+            groups="mgmtsystem.group_mgmtsystem_manager,mgmtsystem.group_mgmtsystem_auditor,base.group_user"/>
+
+    </data>
+</openerp>
+

=== added directory 'mgmtsystem_action_audittrail'
=== added file 'mgmtsystem_action_audittrail/__init__.py'
--- mgmtsystem_action_audittrail/__init__.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_action_audittrail/__init__.py	2013-03-01 10:41:55 +0000
@@ -0,0 +1,2 @@
+# -*- encoding: utf-8 -*-
+# empty
\ No newline at end of file

=== added file 'mgmtsystem_action_audittrail/__openerp__.py'
--- mgmtsystem_action_audittrail/__openerp__.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_action_audittrail/__openerp__.py	2013-03-01 10:41:55 +0000
@@ -0,0 +1,35 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+{
+    "name": "Management System - Action Audittral",
+    "version": "1.0",
+    "author": "Savoir-faire Linux",
+    "website": "http://www.savoirfairelinux.com",
+    "license": "AGPL-3",
+    "category": "Management System",
+    "description": """Adds audittrail rule to Actions.""",
+    "depends": ['mgmtsystem_action', 'audittrail'],
+    "init": ['mgmtsystem_action.xml'],
+    "data": [],
+    "auto_install": True,
+}
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
+

=== added file 'mgmtsystem_action_audittrail/mgmtsystem_action.xml'
--- mgmtsystem_action_audittrail/mgmtsystem_action.xml	1970-01-01 00:00:00 +0000
+++ mgmtsystem_action_audittrail/mgmtsystem_action.xml	2013-03-01 10:41:55 +0000
@@ -0,0 +1,17 @@
+<openerp>
+    <data>
+
+        <record id="mgmtsystem_action_audit_rule" model="audittrail.rule">
+            <field name="name">Audit on Management System Actions</field>
+            <field name="object_id" search="[('model','=','mgmtsystem.action')]"/>
+            <field name="log_create">1</field>
+            <field name="log_workflow">1</field>
+            <field name="log_unlink">1</field>
+            <field name="log_action">1</field>
+            <field name="log_workflow">1</field>
+            <field name="state">subscribed</field>
+        </record>
+
+    </data>
+</openerp>
+

=== modified file 'mgmtsystem_audit/__openerp__.py'
--- mgmtsystem_audit/__openerp__.py	2013-01-31 14:21:30 +0000
+++ mgmtsystem_audit/__openerp__.py	2013-03-01 10:41:55 +0000
@@ -1,6 +1,6 @@
 # -*- encoding: utf-8 -*-
 ##############################################################################
-#    
+#
 #    OpenERP, Open Source Management Solution
 #    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
 #
@@ -28,7 +28,7 @@
     "description": """\
 This module enables you to manage audits and verifications lists of your management system.
     """,
-    "depends" : ['mgmtsystem_nonconformity','audittrail'],
+    "depends": ['mgmtsystem_nonconformity'],
     "init_xml" : [
         'audit_sequence.xml',
     ],

=== modified file 'mgmtsystem_audit/mgmtsystem_audit.xml'
--- mgmtsystem_audit/mgmtsystem_audit.xml	2013-02-08 16:05:22 +0000
+++ mgmtsystem_audit/mgmtsystem_audit.xml	2013-03-01 10:41:55 +0000
@@ -1,203 +1,192 @@
-<openerp>
-    <data>
-
-        <!-- Verification Lines -->
-
-        <record id="view_mgmtsystem_verification_line_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.verification.line.tree</field>
-            <field name="model">mgmtsystem.verification.line</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Verification Lines">
-                    <field name="seq"/>
-                    <field name="name"/>
-                    <field name="is_conformed"/>
-                    <field name="procedure_id"/>
-                    <field name="comments"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_verification_line_filter" model="ir.ui.view">
-            <field name="name">mgmtsystem.verification.line.filter</field>
-            <field name="model">mgmtsystem.verification.line</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Verification Lines">
-                    <group>
-                        <field name="seq"/>
-                        <field name="name"/>
-                        <field name="procedure_id" domain="[('group_id','=','Procedure')]"/>
-                        <field name="is_conformed"/>
-                        <field name="comments"/>
-                    </group>
-                </search>
-            </field>
-        </record>        
-
-        <record id="view_mgmtsystem_verification_line_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.verification.line.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.verification.line</field>
-            <field name="arch" type="xml">
-                <form string="Verification Line">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <field name="is_conformed"/>
-                        <newline/>
-                        <field name="procedure_id" domain="[('group_id','=','Procedure')]"/>
-                        <field name="seq"/>
-                        <newline/>
-                        <field name="comments"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="open_mgmtsystem_verification_line_list" model="ir.actions.act_window">
-            <field name="name">Verification Lines</field>
-            <field name="res_model">mgmtsystem.verification.line</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-        </record>
-
-        <!-- Audits -->
-
-        <record id="view_mgmtsystem_audit_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.audit.tree</field>
-            <field name="model">mgmtsystem.audit</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Audits">
-                    <field name="name" attrs="{'readonly':[('state','=','done')]}"/>
-                    <field name="date" attrs="{'readonly':[('state','=','done')]}"/>
-                    <field name="reference"/>
-                    <field name="system_id"/>
-                    <!-- Invisible fields below are to allow their use in domains of this view -->
-                    <field name="state" invisible="1"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_audit_filter" model="ir.ui.view">
-            <field name="name">mgmtsystem.audit.filter</field>
-            <field name="model">mgmtsystem.audit</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Audits">
-                    <group>
-                        <filter name="current" icon="terp-document-new" domain="[('state','=','open')]" string="Open" help="Open Audits"/>
-                        <filter icon="terp-camera_test" domain="[('state','=','done')]" string="Closed" help="Closed Audits"/>
-                        <separator orientation="vertical"/>
-                        <field name="name"/>
-                        <field name="date"/>
-                        <field name="reference"/>
-			<field name="system_id"/>
-                    </group>
-                </search>
-            </field>
-        </record>        
-
-        <record id="view_mgmtsystem_audit_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.audit.form</field>
-            <field name="model">mgmtsystem.audit</field>
-            <field name="arch" type="xml">
-                <form string="Audit" version="7.0">
-                    <header>
-                        <button name="button_close" string="Close" states="open" type="object" icon="gtk-jump-to"/>
-                        <field name="state" widget="statusbar" select="1" readonly="1"/>
-                    </header>
-                    <group col="8" colspan="6">
-                        <field name="name" attrs="{'readonly':[('state','=','done')]}"/>
-                        <field name="reference"/>
-                        <field name="date" attrs="{'readonly':[('state','=','done')]}"/>
-                        <field name="system_id"/>
-                    </group>
-                    <notebook colspan="4">
-                        <page string="Auditors">
-                            <field name="auditor_user_ids" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
-                        </page>
-                        <page string="Auditees">
-                            <field name="auditee_user_ids" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
-                        </page>
-                        <page string="Verification List">
-                            <field name="line_ids" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
-                        </page>
-                        <page string="Strong Points">
-                            <field name="strong_points" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
-                        </page>
-                        <page string="To Improve Points">
-                            <field name="to_improve_points" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
-                        </page>
-                        <page string="Improvement Opportunities">
-                            <field name="imp_opp_ids" domain="[('type_action','=','improvement')]" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
-                        </page>
-                        <page string="Nonconformities">
-                            <field name="nonconformity_ids" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
-                        </page>
-                    </notebook>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_audit_calendar" model="ir.ui.view">
-            <field name="name">mgmtsystem.audit.calendar</field>
-            <field name="model">mgmtsystem.audit</field>
-            <field name="type">calendar</field>
-            <field eval="2" name="priority"/>
-            <field name="arch" type="xml">
-                <calendar color="name" date_start="date" string="Audits">
-                    <field name="name"/>
-                    <field name="auditor_user_ids"/>
-                </calendar>
-            </field>
-        </record>
-
-        <record id="open_mgmtsystem_audit_list" model="ir.actions.act_window">
-            <field name="name">Audits</field>
-            <field name="res_model">mgmtsystem.audit</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form,calendar</field>
-            <field name="view_id" ref="view_mgmtsystem_audit_tree"/>
-            <field name="search_view_id" ref="view_mgmtsystem_audit_filter"/>
-            <field name="context">{"search_default_current":1}</field>
-        </record>
-
+<openerp>
+    <data>
+
+        <!-- Verification Lines -->
+
+        <record id="view_mgmtsystem_verification_line_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.verification.line.tree</field>
+            <field name="model">mgmtsystem.verification.line</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Verification Lines">
+                    <field name="seq"/>
+                    <field name="name"/>
+                    <field name="is_conformed"/>
+                    <field name="procedure_id"/>
+                    <field name="comments"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_verification_line_filter" model="ir.ui.view">
+            <field name="name">mgmtsystem.verification.line.filter</field>
+            <field name="model">mgmtsystem.verification.line</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Verification Lines">
+                    <group>
+                        <field name="seq"/>
+                        <field name="name"/>
+                        <field name="procedure_id" domain="[('group_id','=','Procedure')]"/>
+                        <field name="is_conformed"/>
+                        <field name="comments"/>
+                    </group>
+                </search>
+            </field>
+        </record>        
+
+        <record id="view_mgmtsystem_verification_line_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.verification.line.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.verification.line</field>
+            <field name="arch" type="xml">
+                <form string="Verification Line">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <field name="is_conformed"/>
+                        <newline/>
+                        <field name="procedure_id" domain="[('group_id','=','Procedure')]"/>
+                        <field name="seq"/>
+                        <newline/>
+                        <field name="comments"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="open_mgmtsystem_verification_line_list" model="ir.actions.act_window">
+            <field name="name">Verification Lines</field>
+            <field name="res_model">mgmtsystem.verification.line</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+        </record>
+
+        <!-- Audits -->
+
+        <record id="view_mgmtsystem_audit_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.audit.tree</field>
+            <field name="model">mgmtsystem.audit</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Audits">
+                    <field name="name" attrs="{'readonly':[('state','=','done')]}"/>
+                    <field name="date" attrs="{'readonly':[('state','=','done')]}"/>
+                    <field name="reference"/>
+                    <field name="system_id"/>
+                    <!-- Invisible fields below are to allow their use in domains of this view -->
+                    <field name="state" invisible="1"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_audit_filter" model="ir.ui.view">
+            <field name="name">mgmtsystem.audit.filter</field>
+            <field name="model">mgmtsystem.audit</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Audits">
+                    <group>
+                        <filter name="current" icon="terp-document-new" domain="[('state','=','open')]" string="Open" help="Open Audits"/>
+                        <filter icon="terp-camera_test" domain="[('state','=','done')]" string="Closed" help="Closed Audits"/>
+                        <separator orientation="vertical"/>
+                        <field name="name"/>
+                        <field name="date"/>
+                        <field name="reference"/>
+			<field name="system_id"/>
+                    </group>
+                </search>
+            </field>
+        </record>        
+
+        <record id="view_mgmtsystem_audit_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.audit.form</field>
+            <field name="model">mgmtsystem.audit</field>
+            <field name="arch" type="xml">
+                <form string="Audit" version="7.0">
+                    <header>
+                        <button name="button_close" string="Close" states="open" type="object" icon="gtk-jump-to"/>
+                        <field name="state" widget="statusbar" select="1" readonly="1"/>
+                    </header>
+                    <group col="8" colspan="6">
+                        <field name="name" attrs="{'readonly':[('state','=','done')]}"/>
+                        <field name="reference"/>
+                        <field name="date" attrs="{'readonly':[('state','=','done')]}"/>
+                        <field name="system_id"/>
+                    </group>
+                    <notebook colspan="4">
+                        <page string="Auditors">
+                            <field name="auditor_user_ids" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
+                        </page>
+                        <page string="Auditees">
+                            <field name="auditee_user_ids" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
+                        </page>
+                        <page string="Verification List">
+                            <field name="line_ids" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
+                        </page>
+                        <page string="Strong Points">
+                            <field name="strong_points" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
+                        </page>
+                        <page string="To Improve Points">
+                            <field name="to_improve_points" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
+                        </page>
+                        <page string="Improvement Opportunities">
+                            <field name="imp_opp_ids" domain="[('type_action','=','improvement')]" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
+                        </page>
+                        <page string="Nonconformities">
+                            <field name="nonconformity_ids" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
+                        </page>
+                    </notebook>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_audit_calendar" model="ir.ui.view">
+            <field name="name">mgmtsystem.audit.calendar</field>
+            <field name="model">mgmtsystem.audit</field>
+            <field name="type">calendar</field>
+            <field eval="2" name="priority"/>
+            <field name="arch" type="xml">
+                <calendar color="name" date_start="date" string="Audits">
+                    <field name="name"/>
+                    <field name="auditor_user_ids"/>
+                </calendar>
+            </field>
+        </record>
+
+        <record id="open_mgmtsystem_audit_list" model="ir.actions.act_window">
+            <field name="name">Audits</field>
+            <field name="res_model">mgmtsystem.audit</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form,calendar</field>
+            <field name="view_id" ref="view_mgmtsystem_audit_tree"/>
+            <field name="search_view_id" ref="view_mgmtsystem_audit_filter"/>
+            <field name="context">{"search_default_current":1}</field>
+        </record>
+
         <menuitem id="menu_open_audit" 
             action="open_mgmtsystem_audit_list" 
             parent="mgmtsystem.menu_mgmtsystem_main" 
             sequence="10" 
-            groups="mgmtsystem.group_mgmtsystem_manager,mgmtsystem.group_mgmtsystem_auditor"/>
-
-        <!-- audittrail rule -->
-
-        <record id="mgmtsystem_audit_audit_rule" model="audittrail.rule">
-            <field name="name">Audit on Management System Audits</field>
-            <field name="object_id" search="[('model','=','mgmtsystem.audit')]"/>
-            <field name="log_create">1</field>
-            <field name="log_workflow">1</field>
-            <field name="log_unlink">1</field>
-            <field name="log_action">1</field>
-            <field name="log_workflow">1</field>
-            <field name="state">subscribed</field>
-        </record>
-
-       <!-- Nonconformities related to Audits -->
-        <record id="view_mgmtsystem_nonconformity_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.nonconformity.form</field>
-            <field name="model">mgmtsystem.nonconformity</field>
-            <field name="inherit_id" ref="mgmtsystem_nonconformity.view_mgmtsystem_nonconformity_form"/>
-            <field name="arch" type="xml">
-
-                 <notebook position="inside">
-                        <page string="Related Audits" groups="base.group_extended,mgmtsystem.group_mgmtsystem_auditor">
-                            <field name="audit_ids" colspan="4" nolabel="1" />
-                        </page>
-                 </notebook>
-
-            </field>
-        </record>     
-        
-          
-    </data>
-</openerp>
+            groups="mgmtsystem.group_mgmtsystem_manager,mgmtsystem.group_mgmtsystem_auditor"/>
+
+
+       <!-- Nonconformities related to Audits -->
+        <record id="view_mgmtsystem_nonconformity_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.nonconformity.form</field>
+            <field name="model">mgmtsystem.nonconformity</field>
+            <field name="inherit_id" ref="mgmtsystem_nonconformity.view_mgmtsystem_nonconformity_form"/>
+            <field name="arch" type="xml">
+
+                 <notebook position="inside">
+                        <page string="Related Audits" groups="base.group_extended,mgmtsystem.group_mgmtsystem_auditor">
+                            <field name="audit_ids" colspan="4" nolabel="1"/>
+                        </page>
+                 </notebook>
+
+            </field>
+        </record>     
+        
+          
+    </data>
+</openerp>
+

=== added directory 'mgmtsystem_audit_audittrail'
=== added file 'mgmtsystem_audit_audittrail/__init__.py'
--- mgmtsystem_audit_audittrail/__init__.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_audit_audittrail/__init__.py	2013-03-01 10:41:55 +0000
@@ -0,0 +1,2 @@
+# -*- encoding: utf-8 -*-
+# empty
\ No newline at end of file

=== added file 'mgmtsystem_audit_audittrail/__openerp__.py'
--- mgmtsystem_audit_audittrail/__openerp__.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_audit_audittrail/__openerp__.py	2013-03-01 10:41:55 +0000
@@ -0,0 +1,35 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+{
+    "name": "Management System - Audit Audittral",
+    "version": "1.0",
+    "author": "Savoir-faire Linux",
+    "website": "http://www.savoirfairelinux.com",
+    "license": "AGPL-3",
+    "category": "Management System",
+    "description": """Adds audittrail rule to Audits.""",
+    "depends": ['mgmtsystem_audit', 'audittrail'],
+    "init": ['mgmtsystem_audit.xml'],
+    "data": [],
+    "auto_install": True,
+}
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
+

=== added file 'mgmtsystem_audit_audittrail/mgmtsystem_audit.xml'
--- mgmtsystem_audit_audittrail/mgmtsystem_audit.xml	1970-01-01 00:00:00 +0000
+++ mgmtsystem_audit_audittrail/mgmtsystem_audit.xml	2013-03-01 10:41:55 +0000
@@ -0,0 +1,18 @@
+<openerp>
+    <data>
+
+        <record id="mgmtsystem_audit_audit_rule" model="audittrail.rule">
+            <field name="name">Audit on Management System Audits</field>
+            <field name="object_id" search="[('model','=','mgmtsystem.audit')]"/>
+            <field name="log_create">1</field>
+            <field name="log_workflow">1</field>
+            <field name="log_unlink">1</field>
+            <field name="log_action">1</field>
+            <field name="log_workflow">1</field>
+            <field name="state">subscribed</field>
+        </record>
+
+    </data>
+</openerp>
+
+

=== modified file 'mgmtsystem_claim/__openerp__.py'
--- mgmtsystem_claim/__openerp__.py	2013-01-31 14:21:30 +0000
+++ mgmtsystem_claim/__openerp__.py	2013-03-01 10:41:55 +0000
@@ -1,6 +1,6 @@
 # -*- encoding: utf-8 -*-
 ##############################################################################
-#    
+#
 #    OpenERP, Open Source Management Solution
 #    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
 #
@@ -26,18 +26,16 @@
     "license" : "AGPL-3",
     "category" : "Management System",
     "description": """This module enables you to manage the claims of your management system.""",
-    "depends" : ['mgmtsystem','audittrail','crm_claim','mail'],
-    "init_xml" : [],
-    "update_xml" : [
+    "depends": ['mgmtsystem', 'crm_claim', 'mail'],
+    "init": [
+        'claim_sequence.xml',
+        'workflow_mgmtsystem_claim.xml',
+    ],
+    "data": [
         'security/ir.model.access.csv',
         'mgmtsystem_claim.xml',
-        'claim_sequence.xml',
         'board_mgmtsystem_claim.xml',
-        'workflow_mgmtsystem_claim.xml',
     ],
-    "demo_xml" : [],
-    "installable" : True,
-    "certificate" : ''
 }
 # vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
 

=== modified file 'mgmtsystem_claim/mgmtsystem_claim.xml'
--- mgmtsystem_claim/mgmtsystem_claim.xml	2013-01-28 19:11:37 +0000
+++ mgmtsystem_claim/mgmtsystem_claim.xml	2013-03-01 10:41:55 +0000
@@ -1,223 +1,211 @@
-<openerp>
-    <data>
-
-        <!-- Claims -->
-
-	<record model="ir.ui.view" id="mgmtsystem_claims_tree_view">
-		<field name="name">Management System Claims Tree</field>
-		<field name="model">mgmtsystem.claim</field>
-		<field name="arch" type="xml">
-			<tree string="Claims" colors="blue:state=='pending' and not(date_deadline and (date_deadline &lt; current_date));gray:state in ('close', 'cancel');red:date_deadline and (date_deadline &lt; current_date)">
-				<field name="reference"/>
-				<field name="name"/>
-				<field name="partner_id"/>
-				<field name="user_id" />
-				<field name="date"/>
-				<field name="date_action_next"/>
-				<field name="action_next"/>
-				<field name="categ_id" string="Type" select="1"/>
-				<field name="stage_id" invisible="1"/>
-				<field name="date_deadline" invisible="1"/>
-				<field name="date_closed" invisible="1"/>
-				<field name="state"/>
+<openerp>
+    <data>
+
+        <!-- Claims -->
+
+	<record model="ir.ui.view" id="mgmtsystem_claims_tree_view">
+		<field name="name">Management System Claims Tree</field>
+		<field name="model">mgmtsystem.claim</field>
+		<field name="arch" type="xml">
+			<tree string="Claims" colors="blue:state=='pending' and not(date_deadline and (date_deadline &lt; current_date));gray:state in ('close', 'cancel');red:date_deadline and (date_deadline &lt; current_date)">
+				<field name="reference"/>
+				<field name="name"/>
+				<field name="partner_id"/>
+				<field name="user_id"/>
+				<field name="date"/>
+				<field name="date_action_next"/>
+				<field name="action_next"/>
+				<field name="categ_id" string="Type" select="1"/>
+				<field name="stage_id" invisible="1"/>
+				<field name="date_deadline" invisible="1"/>
+				<field name="date_closed" invisible="1"/>
+				<field name="state"/>
 				<button name="case_open" string="Open"
 					states="draft,pending" type="object"
-					icon="gtk-go-forward" />
+					icon="gtk-go-forward" />
 				<button name="case_close" string="Close"
 					states="open,draft,pending" type="object"
-					icon="gtk-close" />
-			</tree>
-		</field>
-	</record>
-
-	<record model="ir.ui.view" id="mgmtsystem_claims_form_view">
-		<field name="name">Management System Claims Form</field>
-		<field name="model">mgmtsystem.claim</field>
-		<field name="arch" type="xml">
-			<form string="Claim" version="7.0">
-                <header>
+					icon="gtk-close" />
+			</tree>
+		</field>
+	</record>
+
+	<record model="ir.ui.view" id="mgmtsystem_claims_form_view">
+		<field name="name">Management System Claims Form</field>
+		<field name="model">mgmtsystem.claim</field>
+		<field name="arch" type="xml">
+			<form string="Claim" version="7.0">
+                <header>
                     <button name="case_close" string="Settle" type="object" class="oe_highlight"
-                            states="draft,open,pending" groups="base.group_user"/>
+                            states="draft,open,pending" groups="base.group_user"/>
                     <button name="case_cancel" string="Reject" type="object" groups="base.group_user"
-                            states="draft,open,pending"/>
-                    <field name="stage_id" widget="statusbar" clickable="True"/>
-                </header>
-                <sheet string="Claims">
-                    <group>
-                        <field name="name"/>
-                        <field name="date"/>
-                        <field name="reference"/>
-                    </group>
-                    <group colspan="4" col="4"  groups="base.group_user">
-                        <field name="user_id"/>
-                        <field name="priority"/>
-                        <field name="section_id"/>
-                        <field name="date_deadline"/>
-                        <field name="state" groups="base.group_no_one"/>
-                    </group>
-                    <group colspan="4" col="4">
-                        <notebook>
-                            <page string="Claim Description">
-                                <group colspan="2" col="2" groups="base.group_user">
-                                    <separator colspan="2" string="Claim Reporter"/>
+                            states="draft,open,pending"/>
+                    <field name="stage_id" widget="statusbar" clickable="True"/>
+                </header>
+                <sheet string="Claims">
+                    <group>
+                        <field name="name"/>
+                        <field name="date"/>
+                        <field name="reference"/>
+                    </group>
+                    <group colspan="4" col="4"  groups="base.group_user">
+                        <field name="user_id"/>
+                        <field name="priority"/>
+                        <field name="section_id"/>
+                        <field name="date_deadline"/>
+                        <field name="state" groups="base.group_no_one"/>
+                    </group>
+                    <group colspan="4" col="4">
+                        <notebook>
+                            <page string="Claim Description">
+                                <group colspan="2" col="2" groups="base.group_user">
+                                    <separator colspan="2" string="Claim Reporter"/>
                                     <field name="partner_id" string="Partner"
-                                        on_change="onchange_partner_id(partner_id)"/>
-                                    <field name="partner_phone"/>
-                                    <field name="email_from" widget="email"/>
-                                </group>
-                                <group colspan="2" col="2" groups="base.group_user">
-                                    <separator colspan="2" string="Responsibilities"/>
-                                    <field name="user_fault"/>
+                                        on_change="onchange_partner_id(partner_id)"/>
+                                    <field name="partner_phone"/>
+                                    <field name="email_from" widget="email"/>
+                                </group>
+                                <group colspan="2" col="2" groups="base.group_user">
+                                    <separator colspan="2" string="Responsibilities"/>
+                                    <field name="user_fault"/>
                                     <field name="categ_id" widget="selection"
-                                        domain="[('object_id.model', '=', 'crm.claim')]"/>
-                                    <field name="ref"/>
-                                </group>
-                                <separator colspan="4" string="Claim/Action Description" groups="base.group_user"/>
-                                <field name="description" colspan="4" nolabel="1"/>
-                            </page>
-                            <page string="Follow Up" groups="base.group_user">
-                                <group colspan="2" col="2">
-                                    <separator colspan="2" string="Actions"/>
-                                    <field name="date_action_next"/>
-                                    <field name="action_next"/>
-                                </group>
-                                <group colspan="2" col="2" groups="base.group_no_one">
-                                    <separator colspan="2" string="Dates"/>
-                                    <field name="create_date"/>
-                                    <field name="date_closed"/>
-                                    <field name="write_date"/>
-                                </group>
-
-                                <group colspan="2" col="2">
-                                    <separator colspan="2" string="Root Causes"/>
-                                    <field name="cause" colspan="2" nolabel="1"/>
-                                </group>
-                                <group colspan="2" col="2">
-                                    <separator colspan="2" string="Resolution Actions"/>
-                                    <field name="type_action"/>
-                                    <field name="resolution" colspan="2" nolabel="1"/>
-                                </group>
-                            </page>
-                        </notebook>
-                    </group>
-                </sheet>
-                <div class="oe_chatter">
-                    <field name="message_follower_ids" widget="mail_followers" groups="base.group_user"/>
-                    <field name="message_ids" widget="mail_thread" placeholder="Share a note..."/>
-                </div>
-            </form>
-		</field>
-	</record>
-
-	<!-- Claim Calendar view -->
-
-	<record model="ir.ui.view" id="mgmtsystem_claims_calendar_view">
-		<field name="name">Claims</field>
-		<field name="model">mgmtsystem.claim</field>
-		<field name="type">calendar</field>
-		<field name="priority" eval="2"/>
-		<field name="arch" type="xml">
-			<calendar string="Claims" date_start="date_action_next" color="user_id">
-				<field name="name"/>
-			</calendar>
-		</field>
-	</record>
-
-	<!-- Claim Search view -->
-
-	<record id="view_mgmtsystem_claims_filter" model="ir.ui.view">
-		<field name="name">Management System Claims Search</field>
-		<field name="model">mgmtsystem.claim</field>
-		<field name="type">search</field>
-		<field name="arch" type="xml">
-			<search string="Search Claims">
+                                        domain="[('object_id.model', '=', 'crm.claim')]"/>
+                                    <field name="ref"/>
+                                </group>
+                                <separator colspan="4" string="Claim/Action Description" groups="base.group_user"/>
+                                <field name="description" colspan="4" nolabel="1"/>
+                            </page>
+                            <page string="Follow Up" groups="base.group_user">
+                                <group colspan="2" col="2">
+                                    <separator colspan="2" string="Actions"/>
+                                    <field name="date_action_next"/>
+                                    <field name="action_next"/>
+                                </group>
+                                <group colspan="2" col="2" groups="base.group_no_one">
+                                    <separator colspan="2" string="Dates"/>
+                                    <field name="create_date"/>
+                                    <field name="date_closed"/>
+                                    <field name="write_date"/>
+                                </group>
+
+                                <group colspan="2" col="2">
+                                    <separator colspan="2" string="Root Causes"/>
+                                    <field name="cause" colspan="2" nolabel="1"/>
+                                </group>
+                                <group colspan="2" col="2">
+                                    <separator colspan="2" string="Resolution Actions"/>
+                                    <field name="type_action"/>
+                                    <field name="resolution" colspan="2" nolabel="1"/>
+                                </group>
+                            </page>
+                        </notebook>
+                    </group>
+                </sheet>
+                <div class="oe_chatter">
+                    <field name="message_follower_ids" widget="mail_followers" groups="base.group_user"/>
+                    <field name="message_ids" widget="mail_thread" placeholder="Share a note..."/>
+                </div>
+            </form>
+		</field>
+	</record>
+
+	<!-- Claim Calendar view -->
+
+	<record model="ir.ui.view" id="mgmtsystem_claims_calendar_view">
+		<field name="name">Claims</field>
+		<field name="model">mgmtsystem.claim</field>
+		<field name="type">calendar</field>
+		<field name="priority" eval="2"/>
+		<field name="arch" type="xml">
+			<calendar string="Claims" date_start="date_action_next" color="user_id">
+				<field name="name"/>
+			</calendar>
+		</field>
+	</record>
+
+	<!-- Claim Search view -->
+
+	<record id="view_mgmtsystem_claims_filter" model="ir.ui.view">
+		<field name="name">Management System Claims Search</field>
+		<field name="model">mgmtsystem.claim</field>
+		<field name="type">search</field>
+		<field name="arch" type="xml">
+			<search string="Search Claims">
 				<filter icon="terp-check" string="Current" name="current"
 					domain="[('state','in',('draft', 'open'))]"
-					separator="1" help="Draft and Open Claims" />
+					separator="1" help="Draft and Open Claims" />
 				<filter icon="terp-camera_test"
 					string="In Progress"
 					domain="[('state','=','open')]"
-					separator="1" help="In Progress Claims" />
+					separator="1" help="In Progress Claims" />
 				<filter icon="terp-gtk-media-pause"
 					string="Pending"
 					domain="[('state','=','pending')]"
-					separator="1" help="All pending Claims" />
-				<separator orientation="vertical"/>
-				<field name="name" select='1'/>
-				<field name="partner_id" select="1"/>
-				<field name="user_id" select="1" widget="selection">
+					separator="1" help="All pending Claims" />
+				<separator orientation="vertical"/>
+				<field name="name" select='1'/>
+				<field name="partner_id" select="1"/>
+				<field name="user_id" select="1" widget="selection">
 					<filter icon="terp-personal-"
 						domain="[('user_id','=', False)]"
-						help="Unassigned Claims" />
-				</field>
-				<newline/>
-				<group expand="0" string="Group By...">
+						help="Unassigned Claims" />
+				</field>
+				<newline/>
+				<group expand="0" string="Group By...">
 					<filter string="Partner" icon="terp-partner"
 						domain="[]" help="Partner"
-						context="{'group_by':'partner_id'}" />
+						context="{'group_by':'partner_id'}" />
 					<filter string="Responsible" icon="terp-personal"
 						domain="[]" help="Responsible User"
-						context="{'group_by':'user_id'}" />
-					<separator orientation="vertical"/>
+						context="{'group_by':'user_id'}" />
+					<separator orientation="vertical"/>
 					<filter string="Stage" icon="terp-stage"
-						domain="[]" context="{'group_by':'stage_id'}" />
+						domain="[]" context="{'group_by':'stage_id'}" />
 					<filter string="Type" icon="terp-stock_symbol-selection"
-						domain="[]" context="{'group_by':'categ_id'}" />
+						domain="[]" context="{'group_by':'categ_id'}" />
 					<filter string="State"
 						icon="terp-stock_effects-object-colorize"
-						domain="[]" context="{'group_by':'state'}" />
-					<separator orientation="vertical"/>
+						domain="[]" context="{'group_by':'state'}" />
+					<separator orientation="vertical"/>
 					<filter string="Claim Date" icon="terp-go-month"
 						domain="[]" help="Claim Date"
-						context="{'group_by':'date'}" />
+						context="{'group_by':'date'}" />
 					<filter string="Deadline" icon="terp-go-month"
 						domain="[]"
-						context="{'group_by':'date_deadline'}" />
+						context="{'group_by':'date_deadline'}" />
 					<filter string="Closure" icon="terp-go-month"
 						domain="[]" help="Date Closed"
-						context="{'group_by':'date_closed'}" />
-				</group>
-			</search>
-		</field>
-	</record>
-
-	<record model="ir.actions.act_window" id="mgmtsystem_claim_action">
-        <field name="name">Claims</field>
-        <field name="res_model">mgmtsystem.claim</field>
-        <field name="view_type">form</field>
-        <field name="view_mode">tree,calendar,form</field>
-        <field name="view_id" ref="mgmtsystem_claims_tree_view"/>
-        <field name="context">{"search_default_user_id":uid, "stage_type":'claim'}</field>
-        <field name="search_view_id" ref="view_mgmtsystem_claims_filter"/>
-        <field name="help">Record and track your customers' claims. Claims may be linked to a sales order or a lot. You can send emails with attachments and keep the full history for a claim (emails sent, intervention type and so on). Claims may automatically be linked to an email address using the mail gateway module.</field>
-    </record>
-
+						context="{'group_by':'date_closed'}" />
+				</group>
+			</search>
+		</field>
+	</record>
+
+	<record model="ir.actions.act_window" id="mgmtsystem_claim_action">
+        <field name="name">Claims</field>
+        <field name="res_model">mgmtsystem.claim</field>
+        <field name="view_type">form</field>
+        <field name="view_mode">tree,calendar,form</field>
+        <field name="view_id" ref="mgmtsystem_claims_tree_view"/>
+        <field name="context">{"search_default_user_id":uid, "stage_type":'claim'}</field>
+        <field name="search_view_id" ref="view_mgmtsystem_claims_filter"/>
+        <field name="help">Record and track your customers' claims. Claims may be linked to a sales order or a lot. You can send emails with attachments and keep the full history for a claim (emails sent, intervention type and so on). Claims may automatically be linked to an email address using the mail gateway module.</field>
+    </record>
+
 	<menuitem 
 		id="menu_mgmtsystem_claims"
 		name="Claims" 
 		parent="mgmtsystem.menu_mgmtsystem_main" 
 		action="mgmtsystem_claim_action" 
 		sequence="90"
-		groups="mgmtsystem.group_mgmtsystem_manager,mgmtsystem.group_mgmtsystem_auditor,base.group_user"/>
-
+		groups="mgmtsystem.group_mgmtsystem_manager,mgmtsystem.group_mgmtsystem_auditor,base.group_user"/>
+
 	<menuitem 
 		id="menu_config_claim" 
 		name="Claims"
 		parent="mgmtsystem.menu_mgmtsystem_configuration" 
-		sequence="20" />
-
-        <!-- audittrail rule -->
-
-        <record id="mgmtsystem_claim_audit_rule" model="audittrail.rule">
-            <field name="name">Audit on Management System Claims</field>
-            <field name="object_id" search="[('model','=','mgmtsystem.claim')]"/>
-            <field name="log_create">1</field>
-            <field name="log_workflow">1</field>
-            <field name="log_unlink">1</field>
-            <field name="log_action">1</field>
-            <field name="log_workflow">1</field>
-            <field name="state">subscribed</field>
-        </record>
-
-    </data>
-</openerp>
+		sequence="20" />
+
+    </data>
+</openerp>
+

=== added directory 'mgmtsystem_claim_audittrail'
=== added file 'mgmtsystem_claim_audittrail/__init__.py'
--- mgmtsystem_claim_audittrail/__init__.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_claim_audittrail/__init__.py	2013-03-01 10:41:55 +0000
@@ -0,0 +1,2 @@
+# -*- encoding: utf-8 -*-
+# empty
\ No newline at end of file

=== added file 'mgmtsystem_claim_audittrail/__openerp__.py'
--- mgmtsystem_claim_audittrail/__openerp__.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_claim_audittrail/__openerp__.py	2013-03-01 10:41:55 +0000
@@ -0,0 +1,35 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+{
+    "name": "Management System - Claim Audittral",
+    "version": "1.0",
+    "author": "Savoir-faire Linux",
+    "website": "http://www.savoirfairelinux.com",
+    "license": "AGPL-3",
+    "category": "Management System",
+    "description": """Adds audittrail rule to Claims.""",
+    "depends": ['mgmtsystem_claim', 'audittrail'],
+    "init": ['mgmtsystem_claim.xml'],
+    "data": [],
+    "auto_install": True,
+}
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
+

=== added file 'mgmtsystem_claim_audittrail/mgmtsystem_claim.xml'
--- mgmtsystem_claim_audittrail/mgmtsystem_claim.xml	1970-01-01 00:00:00 +0000
+++ mgmtsystem_claim_audittrail/mgmtsystem_claim.xml	2013-03-01 10:41:55 +0000
@@ -0,0 +1,16 @@
+<openerp>
+    <data>
+
+        <record id="mgmtsystem_claim_audit_rule" model="audittrail.rule">
+            <field name="name">Audit on Management System Claims</field>
+            <field name="object_id" search="[('model','=','mgmtsystem.claim')]"/>
+            <field name="log_create">1</field>
+            <field name="log_workflow">1</field>
+            <field name="log_unlink">1</field>
+            <field name="log_action">1</field>
+            <field name="log_workflow">1</field>
+            <field name="state">subscribed</field>
+        </record>
+
+    </data>
+</openerp>

=== modified file 'mgmtsystem_hazard/__openerp__.py'
--- mgmtsystem_hazard/__openerp__.py	2013-01-31 14:21:30 +0000
+++ mgmtsystem_hazard/__openerp__.py	2013-03-01 10:41:55 +0000
@@ -1,6 +1,6 @@
 # -*- encoding: utf-8 -*-
 ##############################################################################
-#    
+#
 #    OpenERP, Open Source Management Solution
 #    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
 #
@@ -28,20 +28,12 @@
     "description": """\
 This module enables you to manage the hazards and risks of your health and safety management system.
     """,
-    "depends" : [
-        'mgmtsystem',
-        'hr',
-        'audittrail',
-    ],
-    "init_xml" : [],
-    "update_xml" : [
+    "depends": ['mgmtsystem', 'hr'],
+    "data": [
         'security/ir.model.access.csv',
         'mgmtsystem_hazard.xml',
         'mgmtsystem_hazard_data.xml',
     ],
-    "demo_xml" : [],
-    "installable" : True,
-    "certificate" : ''
 }
 # vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
 

=== modified file 'mgmtsystem_hazard/mgmtsystem_hazard.xml'
--- mgmtsystem_hazard/mgmtsystem_hazard.xml	2013-01-29 15:35:43 +0000
+++ mgmtsystem_hazard/mgmtsystem_hazard.xml	2013-03-01 10:41:55 +0000
@@ -1,771 +1,759 @@
-<openerp>
-    <data>
-
+<openerp>
+    <data>
+
         <menuitem id="menu_mgmtsystem_configuration_hazards" 
             name="Hazards"
             parent="mgmtsystem.menu_mgmtsystem_configuration"
             groups="mgmtsystem.group_mgmtsystem_manager" 
-            sequence="10"/>
-
-        <record id="view_mgmtsystem_hazard_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.tree</field>
-            <field name="model">mgmtsystem.hazard</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Hazard">
-                    <field name="type_id"/>
-                    <field name="name"/>
-                    <field name="risk_type_id"/>
-                    <field name="hazard_id"/>
-                    <field name="origin_id"/>
-                    <field name="risk"/>
-                    <field name="acceptability"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_filter" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.filter</field>
-            <field name="model">mgmtsystem.hazard</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Hazard">
-                    <group>
-                        <field name="type_id"/>
-                        <field name="name"/>
-                        <field name="risk_type_id"/>
-                        <field name="hazard_id"/>
-                        <field name="origin_id"/>
-                        <field name="risk"/>
-                        <field name="acceptability"/>
-                    </group>
-                    <newline />
-                    <group expand="0" string="Group By...">
-                        <filter string="Accepted" context="{'group_by':'acceptability'}"/>
-                        <separator orientation="vertical"/>
-                        <filter string="Type" context="{'group_by':'type_id'}"/>
-                    </group>
-                </search>
-            </field>
-        </record>        
-
-        <record id="view_mgmtsystem_hazard_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.hazard</field>
-            <field name="arch" type="xml">
-                <form string="Hazard">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <field name="type_id"/>
-                        <newline/>
-                        <field name="hazard_id"/>
-                        <field name="risk_type_id"/>
-                        <field name="origin_id"/>
-                    </group>
-                    <notebook colspan="4">
-                        <page string="Analysis">
-                            <field name="department_id"/>
-                            <field name="responsible_user_id"/>
-                            <field name="analysis_date"/>
-                        </page>
-                        <page string="Risk Evaluation">
-                            <field name="probability_id"/>
-                            <field name="severity_id"/>
-                            <newline />
-                            <field name="usage_id"/>
-                            <field name="risk"/>
-                            <newline/>
-                            <field name="acceptability"/>
-                            <newline/>
-                            <field name="justification"/>
-                        </page>
-                        <page string="Control Measures">
-                            <field name="control_measure_ids" nolabel="1"/>
-                        </page>
-                        <page string="Implementation Tests">
-                            <field name="test_ids" nolabel="1"/>
-                        </page>
-                        <page string="Residual Risk Evaluations">
-                            <field name="residual_risk_ids" nolabel="1"/>
-                        </page>
-                    </notebook>
-                </form>
-            </field>
-        </record>
-
-        <record model="ir.actions.act_window" id="open_mgmtsystem_hazard_list">
-            <field name="name">Hazards</field>
-            <field name="res_model">mgmtsystem.hazard</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" ref="view_mgmtsystem_hazard_tree"/>
-            <field name="search_view_id" ref="view_mgmtsystem_hazard_filter"/>
-        </record>
-
+            sequence="10"/>
+
+        <record id="view_mgmtsystem_hazard_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.tree</field>
+            <field name="model">mgmtsystem.hazard</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Hazard">
+                    <field name="type_id"/>
+                    <field name="name"/>
+                    <field name="risk_type_id"/>
+                    <field name="hazard_id"/>
+                    <field name="origin_id"/>
+                    <field name="risk"/>
+                    <field name="acceptability"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_filter" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.filter</field>
+            <field name="model">mgmtsystem.hazard</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Hazard">
+                    <group>
+                        <field name="type_id"/>
+                        <field name="name"/>
+                        <field name="risk_type_id"/>
+                        <field name="hazard_id"/>
+                        <field name="origin_id"/>
+                        <field name="risk"/>
+                        <field name="acceptability"/>
+                    </group>
+                    <newline/>
+                    <group expand="0" string="Group By...">
+                        <filter string="Accepted" context="{'group_by':'acceptability'}"/>
+                        <separator orientation="vertical"/>
+                        <filter string="Type" context="{'group_by':'type_id'}"/>
+                    </group>
+                </search>
+            </field>
+        </record>        
+
+        <record id="view_mgmtsystem_hazard_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard</field>
+            <field name="arch" type="xml">
+                <form string="Hazard">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <field name="type_id"/>
+                        <newline/>
+                        <field name="hazard_id"/>
+                        <field name="risk_type_id"/>
+                        <field name="origin_id"/>
+                    </group>
+                    <notebook colspan="4">
+                        <page string="Analysis">
+                            <field name="department_id"/>
+                            <field name="responsible_user_id"/>
+                            <field name="analysis_date"/>
+                        </page>
+                        <page string="Risk Evaluation">
+                            <field name="probability_id"/>
+                            <field name="severity_id"/>
+                            <newline/>
+                            <field name="usage_id"/>
+                            <field name="risk"/>
+                            <newline/>
+                            <field name="acceptability"/>
+                            <newline/>
+                            <field name="justification"/>
+                        </page>
+                        <page string="Control Measures">
+                            <field name="control_measure_ids" nolabel="1"/>
+                        </page>
+                        <page string="Implementation Tests">
+                            <field name="test_ids" nolabel="1"/>
+                        </page>
+                        <page string="Residual Risk Evaluations">
+                            <field name="residual_risk_ids" nolabel="1"/>
+                        </page>
+                    </notebook>
+                </form>
+            </field>
+        </record>
+
+        <record model="ir.actions.act_window" id="open_mgmtsystem_hazard_list">
+            <field name="name">Hazards</field>
+            <field name="res_model">mgmtsystem.hazard</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" ref="view_mgmtsystem_hazard_tree"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_filter"/>
+        </record>
+
         <menuitem id="menu_open_hazard" 
             action="open_mgmtsystem_hazard_list" 
             parent="mgmtsystem.menu_mgmtsystem_manuals" 
             sequence="20" 
-            groups="mgmtsystem.group_mgmtsystem_manager,mgmtsystem.group_mgmtsystem_auditor,base.group_user"/>
-
-        <!-- Hazard Hazard -->
-        
-        <record id="view_mgmtsystem_hazard_hazard_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.hazard.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.hazard.hazard</field>
-            <field name="arch" type="xml">
-                <form string="Hazard">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <newline/>
-                        <field name="description"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_hazard_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.hazard.tree</field>
-            <field name="model">mgmtsystem.hazard.hazard</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Hazards">
-                    <field name="name"/>
-                    <field name="description"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_hazard_filter" model="ir.ui.view">
-            <field name="name">Hazards</field>
-            <field name="model">mgmtsystem.hazard.hazard</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Hazards">
-                    <field name="name"/>
-                    <field name="description"/>
-                </search>
-             </field>
-         </record>
-
-        <record id="open_mgmtsystem_hazard_hazard_list" model="ir.actions.act_window">
-            <field name="name">Hazards</field>
-            <field name="res_model">mgmtsystem.hazard.hazard</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" eval="False"/>
-            <field name="search_view_id" ref="view_mgmtsystem_hazard_hazard_filter"/>
-        </record>
-
+            groups="mgmtsystem.group_mgmtsystem_manager,mgmtsystem.group_mgmtsystem_auditor,base.group_user"/>
+
+        <!-- Hazard Hazard -->
+        
+        <record id="view_mgmtsystem_hazard_hazard_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.hazard.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.hazard</field>
+            <field name="arch" type="xml">
+                <form string="Hazard">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_hazard_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.hazard.tree</field>
+            <field name="model">mgmtsystem.hazard.hazard</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Hazards">
+                    <field name="name"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_hazard_filter" model="ir.ui.view">
+            <field name="name">Hazards</field>
+            <field name="model">mgmtsystem.hazard.hazard</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Hazards">
+                    <field name="name"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_hazard_list" model="ir.actions.act_window">
+            <field name="name">Hazards</field>
+            <field name="res_model">mgmtsystem.hazard.hazard</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_hazard_filter"/>
+        </record>
+
         <menuitem id="menu_open_hazard_hazard" 
             action="open_mgmtsystem_hazard_hazard_list" 
             parent="menu_mgmtsystem_configuration_hazards" 
             sequence="20" 
-            groups="mgmtsystem.group_mgmtsystem_manager"/>
-
-        <!-- Origin -->
-        
-        <record id="view_mgmtsystem_hazard_origin_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.origin.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.hazard.origin</field>
-            <field name="arch" type="xml">
-                <form string="Origin">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <newline/>
-                        <field name="description"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_origin_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.origin.tree</field>
-            <field name="model">mgmtsystem.hazard.origin</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Origins">
-                    <field name="name"/>
-                    <field name="description"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_origin_filter" model="ir.ui.view">
-            <field name="name">Origins</field>
-            <field name="model">mgmtsystem.hazard.origin</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Origins">
-                    <field name="name"/>
-                    <field name="description"/>
-                </search>
-             </field>
-         </record>
-
-        <record id="open_mgmtsystem_hazard_origin_list" model="ir.actions.act_window">
-            <field name="name">Origins</field>
-            <field name="res_model">mgmtsystem.hazard.origin</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" eval="False"/>
-            <field name="search_view_id" ref="view_mgmtsystem_hazard_origin_filter"/>
-        </record>
-
+            groups="mgmtsystem.group_mgmtsystem_manager"/>
+
+        <!-- Origin -->
+        
+        <record id="view_mgmtsystem_hazard_origin_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.origin.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.origin</field>
+            <field name="arch" type="xml">
+                <form string="Origin">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_origin_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.origin.tree</field>
+            <field name="model">mgmtsystem.hazard.origin</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Origins">
+                    <field name="name"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_origin_filter" model="ir.ui.view">
+            <field name="name">Origins</field>
+            <field name="model">mgmtsystem.hazard.origin</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Origins">
+                    <field name="name"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_origin_list" model="ir.actions.act_window">
+            <field name="name">Origins</field>
+            <field name="res_model">mgmtsystem.hazard.origin</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_origin_filter"/>
+        </record>
+
         <menuitem id="menu_open_hazard_origin" 
             action="open_mgmtsystem_hazard_origin_list" 
             parent="menu_mgmtsystem_configuration_hazards" 
             sequence="20" 
-            groups="mgmtsystem.group_mgmtsystem_manager"/>
-
-        <!-- Type -->
-        
-        <record id="view_mgmtsystem_hazard_type_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.type.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.hazard.type</field>
-            <field name="arch" type="xml">
-                <form string="Type">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <newline/>
-                        <field name="description"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_type_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.type.tree</field>
-            <field name="model">mgmtsystem.hazard.type</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Types">
-                    <field name="name"/>
-                    <field name="description"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_type_filter" model="ir.ui.view">
-            <field name="name">Types</field>
-            <field name="model">mgmtsystem.hazard.type</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Types">
-                    <field name="name"/>
-                    <field name="description"/>
-                </search>
-             </field>
-         </record>
-
-        <record id="open_mgmtsystem_hazard_type_list" model="ir.actions.act_window">
-            <field name="name">Types</field>
-            <field name="res_model">mgmtsystem.hazard.type</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" eval="False"/>
-            <field name="search_view_id" ref="view_mgmtsystem_hazard_type_filter"/>
-        </record>
-
+            groups="mgmtsystem.group_mgmtsystem_manager"/>
+
+        <!-- Type -->
+        
+        <record id="view_mgmtsystem_hazard_type_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.type.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.type</field>
+            <field name="arch" type="xml">
+                <form string="Type">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_type_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.type.tree</field>
+            <field name="model">mgmtsystem.hazard.type</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Types">
+                    <field name="name"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_type_filter" model="ir.ui.view">
+            <field name="name">Types</field>
+            <field name="model">mgmtsystem.hazard.type</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Types">
+                    <field name="name"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_type_list" model="ir.actions.act_window">
+            <field name="name">Types</field>
+            <field name="res_model">mgmtsystem.hazard.type</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_type_filter"/>
+        </record>
+
         <menuitem id="menu_open_hazard_type" 
             action="open_mgmtsystem_hazard_type_list" 
             parent="menu_mgmtsystem_configuration_hazards" 
             sequence="20" 
-            groups="mgmtsystem.group_mgmtsystem_manager"/>
-
-        <!-- Risk Computation -->
-        
-        <record id="view_mgmtsystem_hazard_risk_computation_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.risk_computation.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.hazard.risk.computation</field>
-            <field name="arch" type="xml">
-                <form string="Risk Computation">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <newline/>
-                        <field name="description"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_risk_computation_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.risk_computation.tree</field>
-            <field name="model">mgmtsystem.hazard.risk.computation</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Risk Computations">
-                    <field name="name"/>
-                    <field name="description"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_risk_computation_filter" model="ir.ui.view">
-            <field name="name">Risk Computations</field>
-            <field name="model">mgmtsystem.hazard.risk.computation</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Risk Computations">
-                    <field name="name"/>
-                    <field name="description"/>
-                </search>
-             </field>
-         </record>
-
-        <record id="open_mgmtsystem_hazard_risk_computation_list" model="ir.actions.act_window">
-            <field name="name">Risk Computations</field>
-            <field name="res_model">mgmtsystem.hazard.risk.computation</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" eval="False"/>
-            <field name="search_view_id" ref="view_mgmtsystem_hazard_risk_computation_filter"/>
-        </record>
-
+            groups="mgmtsystem.group_mgmtsystem_manager"/>
+
+        <!-- Risk Computation -->
+        
+        <record id="view_mgmtsystem_hazard_risk_computation_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.risk_computation.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.risk.computation</field>
+            <field name="arch" type="xml">
+                <form string="Risk Computation">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_risk_computation_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.risk_computation.tree</field>
+            <field name="model">mgmtsystem.hazard.risk.computation</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Risk Computations">
+                    <field name="name"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_risk_computation_filter" model="ir.ui.view">
+            <field name="name">Risk Computations</field>
+            <field name="model">mgmtsystem.hazard.risk.computation</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Risk Computations">
+                    <field name="name"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_risk_computation_list" model="ir.actions.act_window">
+            <field name="name">Risk Computations</field>
+            <field name="res_model">mgmtsystem.hazard.risk.computation</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_risk_computation_filter"/>
+        </record>
+
         <menuitem id="menu_open_hazard_risk_computation" 
             action="open_mgmtsystem_hazard_risk_computation_list" 
             parent="menu_mgmtsystem_configuration_hazards" 
             sequence="20" 
-            groups="mgmtsystem.group_mgmtsystem_manager"/>
-
-        <!-- res.company -->
-
-        <record model="ir.ui.view" id="company_form_view">
-            <field name="name">res.company.form.inherit.mgmtsystem_hazard</field>
-            <field name="model">res.company</field>
-            <field name="type">form</field>
-            <field name="inherit_id" ref="base.view_company_form"/>
-            <field name="arch" type="xml">
-                <xpath expr="//page[@string='Configuration']" position="inside">
-                    <separator string="Management System"/>
-                    <field name="risk_computation_id"/>
-                </xpath>
-            </field>
-        </record>
-
-        <!-- Risk Type -->
-        
-        <record id="view_mgmtsystem_hazard_risk_type_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.risk_type.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.hazard.risk.type</field>
-            <field name="arch" type="xml">
-                <form string="Risk Type">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <newline/>
-                        <field name="description"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_risk_type_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.risk_type.tree</field>
-            <field name="model">mgmtsystem.hazard.risk.type</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Risk Types">
-                    <field name="name"/>
-                    <field name="description"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_risk_type_filter" model="ir.ui.view">
-            <field name="name">Risk Types</field>
-            <field name="model">mgmtsystem.hazard.risk.type</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Risk Types">
-                    <field name="name"/>
-                    <field name="description"/>
-                </search>
-             </field>
-         </record>
-
-        <record id="open_mgmtsystem_hazard_risk_type_list" model="ir.actions.act_window">
-            <field name="name">Risk Types</field>
-            <field name="res_model">mgmtsystem.hazard.risk.type</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" eval="False"/>
-            <field name="search_view_id" ref="view_mgmtsystem_hazard_risk_type_filter"/>
-        </record>
-
+            groups="mgmtsystem.group_mgmtsystem_manager"/>
+
+        <!-- res.company -->
+
+        <record model="ir.ui.view" id="company_form_view">
+            <field name="name">res.company.form.inherit.mgmtsystem_hazard</field>
+            <field name="model">res.company</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="base.view_company_form"/>
+            <field name="arch" type="xml">
+                <xpath expr="//page[@string='Configuration']" position="inside">
+                    <separator string="Management System"/>
+                    <field name="risk_computation_id"/>
+                </xpath>
+            </field>
+        </record>
+
+        <!-- Risk Type -->
+        
+        <record id="view_mgmtsystem_hazard_risk_type_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.risk_type.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.risk.type</field>
+            <field name="arch" type="xml">
+                <form string="Risk Type">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_risk_type_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.risk_type.tree</field>
+            <field name="model">mgmtsystem.hazard.risk.type</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Risk Types">
+                    <field name="name"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_risk_type_filter" model="ir.ui.view">
+            <field name="name">Risk Types</field>
+            <field name="model">mgmtsystem.hazard.risk.type</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Risk Types">
+                    <field name="name"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_risk_type_list" model="ir.actions.act_window">
+            <field name="name">Risk Types</field>
+            <field name="res_model">mgmtsystem.hazard.risk.type</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_risk_type_filter"/>
+        </record>
+
         <menuitem id="menu_open_hazard_risk_type" 
             action="open_mgmtsystem_hazard_risk_type_list" 
             parent="menu_mgmtsystem_configuration_hazards" 
             sequence="20" 
-            groups="mgmtsystem.group_mgmtsystem_manager"/>
-
-        <!-- Hazard Probability -->
-        
-        <record id="view_mgmtsystem_hazard_probability_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.probability.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.hazard.probability</field>
-            <field name="arch" type="xml">
-                <form string="Probability">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <field name="value"/>
-                        <newline/>
-                        <field name="description"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_probability_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.probability.tree</field>
-            <field name="model">mgmtsystem.hazard.probability</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Probabilities">
-                    <field name="name"/>
-                    <field name="value"/>
-                    <field name="description"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_probability_filter" model="ir.ui.view">
-            <field name="name">Probabilities</field>
-            <field name="model">mgmtsystem.hazard.probability</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Probabilities">
-                    <field name="name"/>
-                    <field name="value"/>
-                    <field name="description"/>
-                </search>
-             </field>
-         </record>
-
-        <record id="open_mgmtsystem_hazard_probability_list" model="ir.actions.act_window">
-            <field name="name">Probabilities</field>
-            <field name="res_model">mgmtsystem.hazard.probability</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" eval="False"/>
-            <field name="search_view_id" ref="view_mgmtsystem_hazard_type_filter"/>
-        </record>
-
+            groups="mgmtsystem.group_mgmtsystem_manager"/>
+
+        <!-- Hazard Probability -->
+        
+        <record id="view_mgmtsystem_hazard_probability_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.probability.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.probability</field>
+            <field name="arch" type="xml">
+                <form string="Probability">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <field name="value"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_probability_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.probability.tree</field>
+            <field name="model">mgmtsystem.hazard.probability</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Probabilities">
+                    <field name="name"/>
+                    <field name="value"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_probability_filter" model="ir.ui.view">
+            <field name="name">Probabilities</field>
+            <field name="model">mgmtsystem.hazard.probability</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Probabilities">
+                    <field name="name"/>
+                    <field name="value"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_probability_list" model="ir.actions.act_window">
+            <field name="name">Probabilities</field>
+            <field name="res_model">mgmtsystem.hazard.probability</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_type_filter"/>
+        </record>
+
         <menuitem id="menu_open_hazard_probability" 
             action="open_mgmtsystem_hazard_probability_list" 
             parent="menu_mgmtsystem_configuration_hazards" 
             sequence="20" 
-            groups="mgmtsystem.group_mgmtsystem_manager"/>
-
-        <!-- Hazard Severity -->
-        
-        <record id="view_mgmtsystem_hazard_severity_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.severity.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.hazard.severity</field>
-            <field name="arch" type="xml">
-                <form string="Severity">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <field name="value"/>
-                        <newline/>
-                        <field name="description"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_severity_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.severity.tree</field>
-            <field name="model">mgmtsystem.hazard.severity</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Severities">
-                    <field name="name"/>
-                    <field name="value"/>
-                    <field name="description"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_severity_filter" model="ir.ui.view">
-            <field name="name">Origins</field>
-            <field name="model">mgmtsystem.hazard.severity</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Severities">
-                    <field name="name"/>
-                    <field name="value"/>
-                    <field name="description"/>
-                </search>
-             </field>
-         </record>
-
-        <record id="open_mgmtsystem_hazard_severity_list" model="ir.actions.act_window">
-            <field name="name">Severities</field>
-            <field name="res_model">mgmtsystem.hazard.severity</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" eval="False"/>
-            <field name="search_view_id" ref="view_mgmtsystem_hazard_type_filter"/>
-        </record>
-
+            groups="mgmtsystem.group_mgmtsystem_manager"/>
+
+        <!-- Hazard Severity -->
+        
+        <record id="view_mgmtsystem_hazard_severity_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.severity.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.severity</field>
+            <field name="arch" type="xml">
+                <form string="Severity">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <field name="value"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_severity_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.severity.tree</field>
+            <field name="model">mgmtsystem.hazard.severity</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Severities">
+                    <field name="name"/>
+                    <field name="value"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_severity_filter" model="ir.ui.view">
+            <field name="name">Origins</field>
+            <field name="model">mgmtsystem.hazard.severity</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Severities">
+                    <field name="name"/>
+                    <field name="value"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_severity_list" model="ir.actions.act_window">
+            <field name="name">Severities</field>
+            <field name="res_model">mgmtsystem.hazard.severity</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_type_filter"/>
+        </record>
+
         <menuitem id="menu_open_hazard_severity" 
             action="open_mgmtsystem_hazard_severity_list" 
             parent="menu_mgmtsystem_configuration_hazards" 
             sequence="20" 
-            groups="mgmtsystem.group_mgmtsystem_manager"/>
-
-        <!-- Hazard Usage -->
-        
-        <record id="view_mgmtsystem_hazard_usage_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.usage.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.hazard.usage</field>
-            <field name="arch" type="xml">
-                <form string="Occupation / Usage">
-                    <group colspan="4" col="6">
-                        <field name="name"/>
-                        <field name="value"/>
-                        <newline/>
-                        <field name="description"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_usage_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.usage.tree</field>
-            <field name="model">mgmtsystem.hazard.usage</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Occupations / Usages">
-                    <field name="name"/>
-                    <field name="value"/>
-                    <field name="description"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_usage_filter" model="ir.ui.view">
-            <field name="name">Origins</field>
-            <field name="model">mgmtsystem.hazard.usage</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Occupations / Usages">
-                    <field name="name"/>
-                    <field name="value"/>
-                    <field name="description"/>
-                </search>
-             </field>
-         </record>
-
-        <record id="open_mgmtsystem_hazard_usage_list" model="ir.actions.act_window">
-            <field name="name">Occupations / Usages</field>
-            <field name="res_model">mgmtsystem.hazard.usage</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" eval="False"/>
-            <field name="search_view_id" ref="view_mgmtsystem_hazard_type_filter"/>
-        </record>
-
+            groups="mgmtsystem.group_mgmtsystem_manager"/>
+
+        <!-- Hazard Usage -->
+        
+        <record id="view_mgmtsystem_hazard_usage_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.usage.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.usage</field>
+            <field name="arch" type="xml">
+                <form string="Occupation / Usage">
+                    <group colspan="4" col="6">
+                        <field name="name"/>
+                        <field name="value"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_usage_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.usage.tree</field>
+            <field name="model">mgmtsystem.hazard.usage</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Occupations / Usages">
+                    <field name="name"/>
+                    <field name="value"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_usage_filter" model="ir.ui.view">
+            <field name="name">Origins</field>
+            <field name="model">mgmtsystem.hazard.usage</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Occupations / Usages">
+                    <field name="name"/>
+                    <field name="value"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_usage_list" model="ir.actions.act_window">
+            <field name="name">Occupations / Usages</field>
+            <field name="res_model">mgmtsystem.hazard.usage</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_type_filter"/>
+        </record>
+
         <menuitem id="menu_open_hazard_usage" 
             action="open_mgmtsystem_hazard_usage_list" 
             parent="menu_mgmtsystem_configuration_hazards" 
             sequence="20" 
-            groups="mgmtsystem.group_mgmtsystem_manager"/>
-
-        <!-- Control Measures  -->
-        
-        <record id="view_mgmtsystem_hazard_control_measure_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.control_measure.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.hazard.control_measure</field>
-            <field name="arch" type="xml">
-                <form string="Control Measure">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <field name="responsible_user_id"/>
-                        <newline/>
-                        <field name="comments"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_control_measure_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.control_measure.tree</field>
-            <field name="model">mgmtsystem.hazard.control_measure</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Control Measures">
-                    <field name="name"/>
-                    <field name="responsible_user_id"/>
-                    <field name="comments"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_control_measure_filter" model="ir.ui.view">
-            <field name="name">Control Measures</field>
-            <field name="model">mgmtsystem.hazard.control_measure</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Control Measures">
-                    <field name="name"/>
-                    <field name="responsible_user_id"/>
-                    <field name="comments"/>
-                </search>
-             </field>
-         </record>
-
-        <record id="open_mgmtsystem_hazard_control_measure_list" model="ir.actions.act_window">
-            <field name="name">Control Measures</field>
-            <field name="res_model">mgmtsystem.hazard.control_measure</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" eval="False"/>
-            <field name="search_view_id" ref="view_mgmtsystem_hazard_control_measure_filter"/>
-        </record>
-
-        <!-- Implementation Tests  -->
-        
-        <record id="view_mgmtsystem_hazard_test_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.test.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.hazard.test</field>
-            <field name="arch" type="xml">
-                <form string="Implementation Test">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <field name="responsible_user_id"/>
-                        <newline/>
-                        <field name="review_date"/>
-                        <field name="executed"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_test_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.test.tree</field>
-            <field name="model">mgmtsystem.hazard.test</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Implementation Tests">
-                    <field name="name"/>
-                    <field name="responsible_user_id"/>
-                    <field name="review_date"/>
-                    <field name="executed"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_test_filter" model="ir.ui.view">
-            <field name="name">Implementation Tests</field>
-            <field name="model">mgmtsystem.hazard.test</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Implementation Tests">
-                    <field name="name"/>
-                    <field name="responsible_user_id"/>
-                    <field name="review_date"/>
-                    <field name="executed"/>
-                </search>
-             </field>
-         </record>
-
-        <record id="open_mgmtsystem_hazard_test_list" model="ir.actions.act_window">
-            <field name="name">Implementation Tests</field>
-            <field name="res_model">mgmtsystem.hazard.test</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" eval="False"/>
-            <field name="search_view_id" ref="view_mgmtsystem_hazard_test_filter"/>
-        </record>
-
-        <!-- Residual Risks  -->
-        
-        <record id="view_mgmtsystem_hazard_residual_risk_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.residual_risk.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.hazard.residual_risk</field>
-            <field name="arch" type="xml">
-                <form string="Residual Risk">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <newline/>
-                        <field name="probability_id"/>
-                        <field name="severity_id"/>
-                        <newline/>
-                        <field name="usage_id"/>
-                        <field name="acceptability"/>
-                        <newline/>
-                        <field name="justification"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_residual_risk_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.hazard.residual_risk.tree</field>
-            <field name="model">mgmtsystem.hazard.residual_risk</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Residual Risks">
-                    <field name="name"/>
-                    <field name="probability_id"/>
-                    <field name="severity_id"/>
-                    <field name="usage_id"/>
-                    <field name="acceptability"/>
-                    <field name="justification"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_hazard_residual_risk_filter" model="ir.ui.view">
-            <field name="name">Residual Risks</field>
-            <field name="model">mgmtsystem.hazard.residual_risk</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Residual Risks">
-                    <field name="name"/>
-                    <field name="probability_id"/>
-                    <field name="severity_id"/>
-                    <field name="usage_id"/>
-                    <field name="acceptability"/>
-                    <field name="justification"/>
-                </search>
-             </field>
-         </record>
-
-        <record id="open_mgmtsystem_hazard_residual_risk_list" model="ir.actions.act_window">
-            <field name="name">Residual Risks</field>
-            <field name="res_model">mgmtsystem.hazard.residual_risk</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-            <field name="view_id" eval="False"/>
-            <field name="search_view_id" ref="view_mgmtsystem_hazard_residual_risk_filter"/>
-        </record>
-
-        <!-- audittrail rule -->
-
-        <record id="mgmtsystem_hazard_audit_rule" model="audittrail.rule">
-            <field name="name">Audit on Management System Hazards</field>
-            <field name="object_id" search="[('model','=','mgmtsystem.hazard')]"/>
-            <field name="log_create">1</field>
-            <field name="log_workflow">1</field>
-            <field name="log_unlink">1</field>
-            <field name="log_action">1</field>
-            <field name="log_workflow">1</field>
-            <field name="state">subscribed</field>
-        </record>
-
-    </data>
-</openerp>
+            groups="mgmtsystem.group_mgmtsystem_manager"/>
+
+        <!-- Control Measures  -->
+        
+        <record id="view_mgmtsystem_hazard_control_measure_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.control_measure.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.control_measure</field>
+            <field name="arch" type="xml">
+                <form string="Control Measure">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <field name="responsible_user_id"/>
+                        <newline/>
+                        <field name="comments"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_control_measure_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.control_measure.tree</field>
+            <field name="model">mgmtsystem.hazard.control_measure</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Control Measures">
+                    <field name="name"/>
+                    <field name="responsible_user_id"/>
+                    <field name="comments"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_control_measure_filter" model="ir.ui.view">
+            <field name="name">Control Measures</field>
+            <field name="model">mgmtsystem.hazard.control_measure</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Control Measures">
+                    <field name="name"/>
+                    <field name="responsible_user_id"/>
+                    <field name="comments"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_control_measure_list" model="ir.actions.act_window">
+            <field name="name">Control Measures</field>
+            <field name="res_model">mgmtsystem.hazard.control_measure</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_control_measure_filter"/>
+        </record>
+
+        <!-- Implementation Tests  -->
+        
+        <record id="view_mgmtsystem_hazard_test_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.test.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.test</field>
+            <field name="arch" type="xml">
+                <form string="Implementation Test">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <field name="responsible_user_id"/>
+                        <newline/>
+                        <field name="review_date"/>
+                        <field name="executed"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_test_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.test.tree</field>
+            <field name="model">mgmtsystem.hazard.test</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Implementation Tests">
+                    <field name="name"/>
+                    <field name="responsible_user_id"/>
+                    <field name="review_date"/>
+                    <field name="executed"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_test_filter" model="ir.ui.view">
+            <field name="name">Implementation Tests</field>
+            <field name="model">mgmtsystem.hazard.test</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Implementation Tests">
+                    <field name="name"/>
+                    <field name="responsible_user_id"/>
+                    <field name="review_date"/>
+                    <field name="executed"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_test_list" model="ir.actions.act_window">
+            <field name="name">Implementation Tests</field>
+            <field name="res_model">mgmtsystem.hazard.test</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_test_filter"/>
+        </record>
+
+        <!-- Residual Risks  -->
+        
+        <record id="view_mgmtsystem_hazard_residual_risk_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.residual_risk.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.residual_risk</field>
+            <field name="arch" type="xml">
+                <form string="Residual Risk">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <newline/>
+                        <field name="probability_id"/>
+                        <field name="severity_id"/>
+                        <newline/>
+                        <field name="usage_id"/>
+                        <field name="acceptability"/>
+                        <newline/>
+                        <field name="justification"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_residual_risk_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.residual_risk.tree</field>
+            <field name="model">mgmtsystem.hazard.residual_risk</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Residual Risks">
+                    <field name="name"/>
+                    <field name="probability_id"/>
+                    <field name="severity_id"/>
+                    <field name="usage_id"/>
+                    <field name="acceptability"/>
+                    <field name="justification"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_residual_risk_filter" model="ir.ui.view">
+            <field name="name">Residual Risks</field>
+            <field name="model">mgmtsystem.hazard.residual_risk</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Residual Risks">
+                    <field name="name"/>
+                    <field name="probability_id"/>
+                    <field name="severity_id"/>
+                    <field name="usage_id"/>
+                    <field name="acceptability"/>
+                    <field name="justification"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_residual_risk_list" model="ir.actions.act_window">
+            <field name="name">Residual Risks</field>
+            <field name="res_model">mgmtsystem.hazard.residual_risk</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_residual_risk_filter"/>
+        </record>
+
+    </data>
+</openerp>
+

=== added directory 'mgmtsystem_hazard_audittrail'
=== added file 'mgmtsystem_hazard_audittrail/__init__.py'
--- mgmtsystem_hazard_audittrail/__init__.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_hazard_audittrail/__init__.py	2013-03-01 10:41:55 +0000
@@ -0,0 +1,2 @@
+# -*- encoding: utf-8 -*-
+# empty
\ No newline at end of file

=== added file 'mgmtsystem_hazard_audittrail/__openerp__.py'
--- mgmtsystem_hazard_audittrail/__openerp__.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_hazard_audittrail/__openerp__.py	2013-03-01 10:41:55 +0000
@@ -0,0 +1,35 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+{
+    "name": "Management System - Hazard Audittral",
+    "version": "1.0",
+    "author": "Savoir-faire Linux",
+    "website": "http://www.savoirfairelinux.com",
+    "license": "AGPL-3",
+    "category": "Management System",
+    "description": """Adds audittrail rule to Hazards.""",
+    "depends": ['mgmtsystem_hazard', 'audittrail'],
+    "init": ['mgmtsystem_hazard.xml'],
+    "data": [],
+    "auto_install": True,
+}
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
+

=== added file 'mgmtsystem_hazard_audittrail/mgmtsystem_hazard.xml'
--- mgmtsystem_hazard_audittrail/mgmtsystem_hazard.xml	1970-01-01 00:00:00 +0000
+++ mgmtsystem_hazard_audittrail/mgmtsystem_hazard.xml	2013-03-01 10:41:55 +0000
@@ -0,0 +1,16 @@
+<openerp>
+    <data>
+
+        <record id="mgmtsystem_hazard_audit_rule" model="audittrail.rule">
+            <field name="name">Audit on Management System Hazards</field>
+            <field name="object_id" search="[('model','=','mgmtsystem.hazard')]"/>
+            <field name="log_create">1</field>
+            <field name="log_workflow">1</field>
+            <field name="log_unlink">1</field>
+            <field name="log_action">1</field>
+            <field name="log_workflow">1</field>
+            <field name="state">subscribed</field>
+        </record>
+
+    </data>
+</openerp>

=== modified file 'mgmtsystem_review/__openerp__.py'
--- mgmtsystem_review/__openerp__.py	2013-01-31 14:21:30 +0000
+++ mgmtsystem_review/__openerp__.py	2013-03-01 10:41:55 +0000
@@ -1,6 +1,6 @@
 # -*- encoding: utf-8 -*-
 ##############################################################################
-#    
+#
 #    OpenERP, Open Source Management Solution
 #    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
 #
@@ -31,7 +31,6 @@
     "depends" : [
         'mgmtsystem_nonconformity',
         'mgmtsystem_survey',
-        'audittrail',
     ],
     "init_xml" : [
         'review_sequence.xml',

=== modified file 'mgmtsystem_review/mgmtsystem_review.xml'
--- mgmtsystem_review/mgmtsystem_review.xml	2013-02-08 16:05:22 +0000
+++ mgmtsystem_review/mgmtsystem_review.xml	2013-03-01 10:41:55 +0000
@@ -1,180 +1,168 @@
-<openerp>
-    <data>
-
-        <!-- Review Lines -->
-
-        <record id="view_mgmtsystem_review_line_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.review.line.tree</field>
-            <field name="model">mgmtsystem.review.line</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Review Lines">
-                    <field name="name"/>
-                    <field name="type"/>
-                    <field name="action_id" attrs="{'invisible' : [('type', '!=', 'action')]}"/>
-                    <field name="nonconformity_id" attrs="{'invisible' : [('type', '!=', 'nonconformity')]}"/>
-                    <field name="decision"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_review_line_filter" model="ir.ui.view">
-            <field name="name">mgmtsystem.review.line.filter</field>
-            <field name="model">mgmtsystem.review.line</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Review Lines">
-                    <field name="name"/>
-                    <field name="type"/>
-                    <field name="action_id"/>
-                    <field name="nonconformity_id"/>
-                    <field name="decision"/>
-                </search>
-            </field>
-        </record>        
-
-        <record id="view_mgmtsystem_review_line_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.review.line.form</field>
-            <field name="type">form</field>
-            <field name="model">mgmtsystem.review.line</field>
-            <field name="arch" type="xml">
-                <form string="Review Line">
-                    <group colspan="4" col="4">
-                        <field name="name"/>
-                        <field name="type"/>
-                        <newline/>
-                        <field name="action_id" attrs="{'invisible' : [('type', '!=', 'action')]}"/>
-                        <field name="nonconformity_id" attrs="{'invisible' : [('type', '!=', 'nonconformity')]}"/>
-                        <newline/>
-                        <field name="decision"/>
-                    </group>
-                </form>
-            </field>
-        </record>
-
-        <record id="open_mgmtsystem_review_line_list" model="ir.actions.act_window">
-            <field name="name">Review Lines</field>
-            <field name="res_model">mgmtsystem.review.line</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form</field>
-        </record>
-
-        <!-- Reviews -->
-
-        <record id="view_mgmtsystem_review_tree" model="ir.ui.view">
-            <field name="name">mgmtsystem.review.tree</field>
-            <field name="model">mgmtsystem.review</field>
-            <field name="type">tree</field>
-            <field name="arch" type="xml">
-                <tree string="Reviews">
-                    <field name="name" attrs="{'readonly':[('state','=','done')]}"/>
-                    <field name="date" attrs="{'readonly':[('state','=','done')]}"/>
-                    <field name="reference"/>
-                    <!-- Invisible fields below are to allow their use in domains of this view -->
-                    <field name="state" invisible="1"/>
-                </tree>
-            </field>
-        </record>
-
-        <record id="view_mgmtsystem_review_filter" model="ir.ui.view">
-            <field name="name">mgmtsystem.review.filter</field>
-            <field name="model">mgmtsystem.review</field>
-            <field name="type">search</field>
-            <field name="arch" type="xml">
-                <search string="Reviews">
-                    <group>
-                        <filter name="current" icon="terp-document-new" domain="[('state','=','open')]" string="Open" help="Open Reviews"/>
-                        <filter icon="terp-camera_test" domain="[('state','=','done')]" string="Closed" help="Closed Reviews"/>
-                        <separator orientation="vertical"/>
-                        <field name="name"/>
-                        <field name="date"/>
-                        <field name="reference"/>
-                    </group>
-                </search>
-            </field>
-        </record>        
-
-        <record id="view_mgmtsystem_review_form" model="ir.ui.view">
-            <field name="name">mgmtsystem.review.form</field>
-            <field name="model">mgmtsystem.review</field>
-            <field name="arch" type="xml">
-                <form string="Review" version="7.0">
-                    <header>
-                        <button name="button_close" string="Close" states="open" type="object" icon="gtk-jump-to"/>
-                        <field name="state" widget="statusbar" select="1" readonly="1"/>
-                    </header>
-                    <group col="6" colspan="6">
-                        <field name="name" attrs="{'readonly':[('state','=','done')]}"/>
-                        <field name="reference"/>
-                        <field name="date" attrs="{'readonly':[('state','=','done')]}"/>
-                    </group>
-                    <notebook colspan="4">
-                        <page string="Participants">
-                            <field name="user_ids" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
-                        </page>
-                        <page string="Inputs">
-                            <group colspan="4">
-                                <separator string="Policy" colspan="2"/>
-                                <separator string="Changes affecting the management systems" colspan="2"/>
-                                <field name="policy" attrs="{'readonly':[('state','=','done')]}" colspan="2" nolabel="1"/>
-                                <field name="changes" attrs="{'readonly':[('state','=','done')]}" colspan="2" nolabel="1"/>
-                            </group>
-                            <newline/>
-                            <separator string="Survey Answers" colspan="4"/>
-                            <field name="response_ids" colspan="4" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
-                        </page>
-                        <page string="Lines">
-                            <field name="line_ids" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
-                        </page>
-                        <page string="Conclusion">
-                            <field name="conclusion" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
-                        </page>
-                    </notebook>
-                </form>
-            </field>
-        </record>
-
-        <record id="view_review_calendar" model="ir.ui.view">
-            <field name="name">mgmtsystem.review.calendar</field>
-            <field name="model">mgmtsystem.review</field>
-            <field name="type">calendar</field>
-            <field eval="2" name="priority"/>
-            <field name="arch" type="xml">
-                <calendar color="name" date_start="date" string="Reviews">
-                    <field name="name"/>
-                    <field name="user_ids"/>
-                </calendar>
-            </field>
-        </record>
-
-        <record id="open_mgmtsystem_review_list" model="ir.actions.act_window">
-            <field name="name">Reviews</field>
-            <field name="res_model">mgmtsystem.review</field>
-            <field name="view_type">form</field>
-            <field name="view_mode">tree,form,calendar</field>
-            <field name="view_id" ref="view_mgmtsystem_review_tree"/>
-            <field name="search_view_id" ref="view_mgmtsystem_review_filter"/>
-            <field name="context">{"search_default_current":1}</field>
-        </record>
-
+<openerp>
+    <data>
+
+        <!-- Review Lines -->
+
+        <record id="view_mgmtsystem_review_line_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.review.line.tree</field>
+            <field name="model">mgmtsystem.review.line</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Review Lines">
+                    <field name="name"/>
+                    <field name="type"/>
+                    <field name="action_id" attrs="{'invisible' : [('type', '!=', 'action')]}"/>
+                    <field name="nonconformity_id" attrs="{'invisible' : [('type', '!=', 'nonconformity')]}"/>
+                    <field name="decision"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_review_line_filter" model="ir.ui.view">
+            <field name="name">mgmtsystem.review.line.filter</field>
+            <field name="model">mgmtsystem.review.line</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Review Lines">
+                    <field name="name"/>
+                    <field name="type"/>
+                    <field name="action_id"/>
+                    <field name="nonconformity_id"/>
+                    <field name="decision"/>
+                </search>
+            </field>
+        </record>        
+
+        <record id="view_mgmtsystem_review_line_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.review.line.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.review.line</field>
+            <field name="arch" type="xml">
+                <form string="Review Line">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <field name="type"/>
+                        <newline/>
+                        <field name="action_id" attrs="{'invisible' : [('type', '!=', 'action')]}"/>
+                        <field name="nonconformity_id" attrs="{'invisible' : [('type', '!=', 'nonconformity')]}"/>
+                        <newline/>
+                        <field name="decision"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="open_mgmtsystem_review_line_list" model="ir.actions.act_window">
+            <field name="name">Review Lines</field>
+            <field name="res_model">mgmtsystem.review.line</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+        </record>
+
+        <!-- Reviews -->
+
+        <record id="view_mgmtsystem_review_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.review.tree</field>
+            <field name="model">mgmtsystem.review</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Reviews">
+                    <field name="name" attrs="{'readonly':[('state','=','done')]}"/>
+                    <field name="date" attrs="{'readonly':[('state','=','done')]}"/>
+                    <field name="reference"/>
+                    <!-- Invisible fields below are to allow their use in domains of this view -->
+                    <field name="state" invisible="1"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_review_filter" model="ir.ui.view">
+            <field name="name">mgmtsystem.review.filter</field>
+            <field name="model">mgmtsystem.review</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Reviews">
+                    <group>
+                        <filter name="current" icon="terp-document-new" domain="[('state','=','open')]" string="Open" help="Open Reviews"/>
+                        <filter icon="terp-camera_test" domain="[('state','=','done')]" string="Closed" help="Closed Reviews"/>
+                        <separator orientation="vertical"/>
+                        <field name="name"/>
+                        <field name="date"/>
+                        <field name="reference"/>
+                    </group>
+                </search>
+            </field>
+        </record>        
+
+        <record id="view_mgmtsystem_review_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.review.form</field>
+            <field name="model">mgmtsystem.review</field>
+            <field name="arch" type="xml">
+                <form string="Review" version="7.0">
+                    <header>
+                        <button name="button_close" string="Close" states="open" type="object" icon="gtk-jump-to"/>
+                        <field name="state" widget="statusbar" select="1" readonly="1"/>
+                    </header>
+                    <group col="6" colspan="6">
+                        <field name="name" attrs="{'readonly':[('state','=','done')]}"/>
+                        <field name="reference"/>
+                        <field name="date" attrs="{'readonly':[('state','=','done')]}"/>
+                    </group>
+                    <notebook colspan="4">
+                        <page string="Participants">
+                            <field name="user_ids" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
+                        </page>
+                        <page string="Inputs">
+                            <group colspan="4">
+                                <separator string="Policy" colspan="2"/>
+                                <separator string="Changes affecting the management systems" colspan="2"/>
+                                <field name="policy" attrs="{'readonly':[('state','=','done')]}" colspan="2" nolabel="1"/>
+                                <field name="changes" attrs="{'readonly':[('state','=','done')]}" colspan="2" nolabel="1"/>
+                            </group>
+                            <newline/>
+                            <separator string="Survey Answers" colspan="4"/>
+                            <field name="response_ids" colspan="4" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
+                        </page>
+                        <page string="Lines">
+                            <field name="line_ids" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
+                        </page>
+                        <page string="Conclusion">
+                            <field name="conclusion" nolabel="1" attrs="{'readonly':[('state','=','done')]}"/>
+                        </page>
+                    </notebook>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_review_calendar" model="ir.ui.view">
+            <field name="name">mgmtsystem.review.calendar</field>
+            <field name="model">mgmtsystem.review</field>
+            <field name="type">calendar</field>
+            <field eval="2" name="priority"/>
+            <field name="arch" type="xml">
+                <calendar color="name" date_start="date" string="Reviews">
+                    <field name="name"/>
+                    <field name="user_ids"/>
+                </calendar>
+            </field>
+        </record>
+
+        <record id="open_mgmtsystem_review_list" model="ir.actions.act_window">
+            <field name="name">Reviews</field>
+            <field name="res_model">mgmtsystem.review</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form,calendar</field>
+            <field name="view_id" ref="view_mgmtsystem_review_tree"/>
+            <field name="search_view_id" ref="view_mgmtsystem_review_filter"/>
+            <field name="context">{"search_default_current":1}</field>
+        </record>
+
         <menuitem id="menu_open_review" 
             action="open_mgmtsystem_review_list" 
             parent="mgmtsystem.menu_mgmtsystem_main" 
             sequence="0" 
-            groups="mgmtsystem.group_mgmtsystem_manager"/>
-
-        <!-- audittrail rule -->
-
-        <record id="mgmtsystem_review_audit_rule" model="audittrail.rule">
-            <field name="name">Audit on Management System Reviews</field>
-            <field name="object_id" search="[('model','=','mgmtsystem.review')]"/>
-            <field name="log_create">1</field>
-            <field name="log_workflow">1</field>
-            <field name="log_unlink">1</field>
-            <field name="log_action">1</field>
-            <field name="log_workflow">1</field>
-            <field name="state">subscribed</field>
-        </record>
-
-    </data>
-</openerp>
+            groups="mgmtsystem.group_mgmtsystem_manager"/>
+
+    </data>
+</openerp>
+

=== added directory 'mgmtsystem_review_audittrail'
=== added file 'mgmtsystem_review_audittrail/__init__.py'
--- mgmtsystem_review_audittrail/__init__.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_review_audittrail/__init__.py	2013-03-01 10:41:55 +0000
@@ -0,0 +1,2 @@
+# -*- encoding: utf-8 -*-
+# empty
\ No newline at end of file

=== added file 'mgmtsystem_review_audittrail/__openerp__.py'
--- mgmtsystem_review_audittrail/__openerp__.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_review_audittrail/__openerp__.py	2013-03-01 10:41:55 +0000
@@ -0,0 +1,35 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+{
+    "name": "Management System - Review Audittral",
+    "version": "1.0",
+    "author": "Savoir-faire Linux",
+    "website": "http://www.savoirfairelinux.com",
+    "license": "AGPL-3",
+    "category": "Management System",
+    "description": """Adds audittrail rule to Reviews.""",
+    "depends": ['mgmtsystem_review', 'audittrail'],
+    "init": ['mgmtsystem_review.xml'],
+    "data": [],
+    "auto_install": True,
+}
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
+

=== added file 'mgmtsystem_review_audittrail/mgmtsystem_review.xml'
--- mgmtsystem_review_audittrail/mgmtsystem_review.xml	1970-01-01 00:00:00 +0000
+++ mgmtsystem_review_audittrail/mgmtsystem_review.xml	2013-03-01 10:41:55 +0000
@@ -0,0 +1,19 @@
+<openerp>
+    <data>
+
+        <record id="mgmtsystem_review_audit_rule" model="audittrail.rule">
+            <field name="name">Audit on Management System Reviews</field>
+            <field name="object_id" search="[('model','=','mgmtsystem.review')]"/>
+            <field name="log_create">1</field>
+            <field name="log_workflow">1</field>
+            <field name="log_unlink">1</field>
+            <field name="log_action">1</field>
+            <field name="log_workflow">1</field>
+            <field name="state">subscribed</field>
+        </record>
+
+    </data>
+</openerp>
+
+
+

